HttpMessage::send
HttpMessage::setHeaders
HttpMessage
PHP Manual

# HttpMessage::setBody

(PECL pecl_http >= 0.14.0)

HttpMessage::setBody — Set message body

### Description

public void HttpMessage::setBody ( string `$body` )

Set the body of the HttpMessage.

> Note:

> Don't forget to update any headers accordingly.

### Parameters

`body`

  the new body of the message

HttpMessage::send
HttpMessage::setHeaders
HttpMessage
PHP Manual